summaryrefslogtreecommitdiffstats
path: root/test.sh
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2018-08-25 11:02:46 +1000
committerJesse Duffield <jessedduffield@gmail.com>2018-08-25 11:02:46 +1000
commitf24c95aedec785985dfcd98ff3997152c193bd3e (patch)
tree9f8ac1a61cf686052f623b767e13d6d1a14e3683 /test.sh
parent5628eae502ee3b4d3d72a8e4045713b637f7a764 (diff)
parent93ab892bdd1226f9a519a938c8b28590e71e54f3 (diff)
Merge branch 'master' into feature/auto-updates
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 000000000..a92243cf7
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -e
+echo "" > coverage.txt
+
+for d in $( find ./* -maxdepth 10 ! -path "./vendor*" ! -path "./.git*" -type d); do
+ if ls $d/*.go &> /dev/null; then
+ go test -v -race -coverprofile=profile.out -covermode=atomic $d
+ if [ -f profile.out ]; then
+ cat profile.out >> coverage.txt
+ rm profile.out
+ fi
+ fi
+done